NSSCACHE(1)

NAME
nsscache - synchronise a local NSS cache with an upstream data source

SYNOPSIS
nsscache [global options] command [command options]

DESCRIPTION
nsscache synchronises a local NSS cache against a remote data source. This approach allows the administrator to separate the network from the NSS lookup codepath, improving speed and reliability of name services.

OPTIONS
Global options alter general program behaviour:

-v, --verbose
    enable verbose output

-d, --debug
    enable debugging output

-c FILE, --config-file=FILE
    read configuration from FILE

--version
    show program's version number and exit

-h, --help
    show this help message and exit

COMMANDS

  update
Performs an update of the configured caches from the configured sources.

-f, --full
    force a full update from the data source

--force
    force the update, overriding any safeguards and checks that would otherwise prevent the update from occurring. e.g. normally empty results from the data source are ignored as bogus -- this option will instruct the program to ignore its intuition and use the empty map

-m MAPS, --map=MAPS
    NSS map to operate on, can be supplied multiple times

-h, --help
    show help for the update command

  verify
Perform verification of the built caches and validation of the system NSS configuration.

-m MAPS, --map=MAPS
    NSS map to operate on, can be supplied multiple times

-h, --help
    show help for the verify command

  status
Show the last update time of each configured cache, and other metrics, optionally in a machine-readable format.

-m MAPS, --map=MAPS
    NSS map to operate on, can be supplied multiple times

-h, --help
    show help for the status command

  repair
Verify that the configuration is correct, that the source is reachable, then perform a full synchronisation of the cache.

-m MAPS, --map=MAPS
    NSS map to operate on, can be supplied multiple times

-h, --help
    show help for the repair command

  help
Shows online help for each command.

SEE ALSO

nsscache.conf(5)

nsswitch.conf(5)

FILES

/etc/nsscache.conf
    The system-wide configuration file

/etc/nsswitch.conf
    The system name service switch configuration file

AUTHOR
Written by Jamie Wilkinson (jaq@google.com) and Vasilios Hoffman (vasilios@google.com).

The source code lives at https://github.com/google/nsscache

COPYRIGHT
Copyright © 2007 Google, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.